No WebGUI on tl-wr841ndv11

I am using tl-wr841nd v11. I was using LEDE before with LuCI, not sure which version. Everything except LuCI seams to work. I can actually control device from console.

So far I tried:
https://wiki.openwrt.ifw.cn/toh/tp-link/tl-wr841nd#tftp_recovery_via_bootloader_for_v8_v9_v10

I used multiple images that should have worked out of the box but none of them actually do. I focused on:
https://downloads.openwrt.ifw.cn/snapshots/trunk/ar71xx/generic/openwrt-ar71xx-generic-tl-wr841-v11-squashfs-sysupgrade.bin

With a common result:

Downloading http://downloads.openwrt.ifw.cn/snapshots/trunk/ar71xx/generic/packages/luci/Packages.gz.
Updated list of available packages in /var/opkg-lists/designated_driver_luci.
Downloading http://downloads.openwrt.ifw.cn/snapshots/trunk/ar71xx/generic/packages/luci/Packages.sig.
Signature check passed.
Downloading http://downloads.openwrt.ifw.cn/snapshots/trunk/ar71xx/generic/packages/management/Packages.gz.
Updated list of available packages in /var/opkg-lists/designated_driver_management.
Downloading http://downloads.openwrt.ifw.cn/snapshots/trunk/ar71xx/generic/packages/management/Packages.sig.
Signature check passed.
root@OpenWrt:~# opkg install luci
Collected errors:

  • gz_open: fork: Out of memory.
  • pkg_hash_add_from_file: Failed to open /var/opkg-lists/designated_driver_routing: Out of memory.
    root@OpenWrt:~#

I also tried multiple older images that should contain LuCI. They do not work and suggested fixes I found do not have enough space to be installed. I am surprised this machine is not bricked yet.

Right now I am looking for a functional image. I don't want to upgrade any more. I just need this shit to work. Anyone has a LEDE 16 or earlier for tl-wr841nd v11?

Release images have luci preinstalled (if a release image containing luci can be built at all for your 4 MB flash device), snapshots images don't contain luci. opkg running out of RAM while fetching package indices and generating dependency graphs is not surprising either, https://openwrt.ifw.cn/supported_devices/432_warning does exist for a reason.

I also tried to install earlier LEDE images from 17.x and this:
https://volatilesystems.org/dl/openwrt/targets/tl-wr841n-v11/

Both claim to have LuCI, which apparently uses uhttpd as a dependency which I can't find anywhere after install. Some instructions say that I need to manualy activate uhttpd for it to work, but I can't do that if I can't find uhttpd on an image that supposedly has it.

As I was asking, are there actual legit images of pre LEDE 17? I think I was running LEDE 16. This is a shit device and I already wasted way too much time on it. But for now I just need it to work.

New URL: https://openwrt.ifw.cn/toh/tp-link/tl-wr841nd#tftp_recovery_via_bootloader_for_v8_v9_v10

The old page is for archival purposes only and does not receive updates any more.

Have you tried the 18.06.1 image (subtarget tiny) already?

There is a community built image for it here: LEDE 17.01.6 complete custom build for TP-LINK WR941N(D) WR841N(D) WR743N(D) WR741N(D) WR740N(D) All Versions

Or you can build your own using https://openwrt.ifw.cn/docs/guide-user/additional-software/saving-space and one of the guides. There is also a community built online builder: Online ImageBuilder and Upgrade Server